Debian Bug report logs - #578053
xserver-xorg-input-tslib: consider xorg.conf.d instead of udev rule

version graph

Package: xserver-xorg-input-tslib; Maintainer for xserver-xorg-input-tslib is Debian Embedded <debian-embedded@lists.debian.org>;

Reported by: Roland Mas <lolando@debian.org>

Date: Fri, 16 Apr 2010 12:24:01 UTC

Severity: serious

Found in version xf86-input-tslib/0.0.6-3

Fixed in version xf86-input-tslib/0.0.6-4

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lolando@debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#578053; Package xserver-xorg-input-evdev. (Fri, 16 Apr 2010 12:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
New Bug report received and forwarded. Copy sent to lolando@debian.org, Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 16 Apr 2010 12:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-input-evdev: x/y axes inverted on touchscreen
Date: Fri, 16 Apr 2010 14:12:04 +0200
Package: xserver-xorg-input-evdev
Version: 1:2.3.2-5
Severity: important

Starting with 1:2.3.2-5, the input events coming from the touchscreen of my
Neo Freerunner phone seem to have their x and y coordinates switched.  For
instance, dragging a map horizontally in TangoGPS actually makes the map scroll
vertically; the icons on the desktop, and all applications requiring a pointer,
become unusable.

1:2.3.2-4 doesn't exhibit this behaviour (tested by upgrading/downgrading
repeatedly the xserver-xorg-input-evdev package only).

-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Feb 28 18:43 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1678748 Apr  8 01:44 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

The lspci command was not found; not including PCI data.

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 224 Mar 19 10:52 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# Xorg confiugration for an Openmoko FreeRunner

Section "Device"
        Identifier      "Configured Video Device"
        Driver          "glamo"
EndSection

# complementary information on the touch screen as the
# input device is provided by udev



Xorg X server log files on system:
-rw-r--r-- 1 root root 19792 Apr 16 13:54 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.6
Release Date: 2010-03-17
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-trunk-iop32x armv5tel Debian
Current Operating System: Linux mokomir 2.6.29-20100118.gita15608f2 #1 Sat Feb 20 23:58:37 CET 2010 armv4tl
Kernel command line: loglevel=4 console=tty0 console=ttySAC2,115200 init=/sbin/init ro  mtdparts=physmap-flash:-(nor);neo1973-nand:0x00040000(qi),0x00040000(depr-ub-env),0x00800000(kernel),0x000a0000(depr),0x00040000(identity-ext2),0x0f6a0000(rootfs)  g_ether.host_addr=00:1F:11:01:04:E3 g_ether.dev_addr=00:1F:11:01:04:E3  root=/dev/mmcblk0p1 rootdelay=1 loglevel=1 rootdelay=2 root=/dev/mmcblk0p2 
Build Date: 07 April 2010  11:08:43PM
xorg-server 2:1.7.6-2 (Timo Aaltonen <tjaalton@ubuntu.com>) 
Current version of pixman: 0.16.4
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Apr 16 13:53:53 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No device specified for screen "Default Screen Section".
        Using the first device section listed.
(**) |   |-->Device "Configured Video Device"
(==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
        Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
        Entry deleted from font path.
(==) FontPath set to:
        /usr/share/fonts/X11/misc,
        built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x1a76d0
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.4
        X.Org Video Driver: 6.0
        X.Org XInput driver : 7.0
        X.Org Server Extension : 2.0
(++) using VT number 6

(II) Open APM successful
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 1.0.0
        ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 1.13.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 1.0.0
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 1.1.0
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "glamo"
(II) Loading /usr/lib/xorg/modules/drivers/glamo_drv.so
(II) Module Glamo: vendor="X.Org Foundation"
        compiled for 1.7.5, module version = 0.4.0
        ABI class: X.Org Video Driver, version 6.0
(II) Glamo: driver for glamo: Glamo
(WW) Falling back to old probe method for Glamo
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 0.0.2
        ABI class: X.Org Video Driver, version 6.0
(II) Not using KMS
(II) Glamo(0): using default device

(WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
(II) Running in FRAMEBUFFER Mode
(II) Glamo(0): Creating default Display subsection in Screen section
        "Default Screen Section" for depth/fbbpp 16/16
(==) Glamo(0): Depth 16, (==) framebuffer bpp 16
(==) Glamo(0): RGB weight 565
(==) Glamo(0): Default visual is TrueColor
(==) Glamo(0): Using gamma correction (1.0, 1.0, 1.0)
(II) Glamo(0): Output LCD has no monitor section
(II) Glamo(0): Not using default mode "640x350" (width too large for virtual size)
(II) Glamo(0): Not using default mode "320x175" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "640x400" (width too large for virtual size)
(II) Glamo(0): Not using default mode "320x200" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "720x400" (width too large for virtual size)
(II) Glamo(0): Not using default mode "360x200" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "640x480" (width too large for virtual size)
(II) Glamo(0): Not using default mode "320x240" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "640x480" (width too large for virtual size)
(II) Glamo(0): Not using default mode "320x240" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "640x480" (width too large for virtual size)
(II) Glamo(0): Not using default mode "320x240" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "640x480" (width too large for virtual size)
(II) Glamo(0): Not using default mode "320x240" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "800x600" (width too large for virtual size)
(II) Glamo(0): Not using default mode "400x300" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "800x600" (width too large for virtual size)
(II) Glamo(0): Not using default mode "400x300" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "800x600" (width too large for virtual size)
(II) Glamo(0): Not using default mode "400x300" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "800x600" (width too large for virtual size)
(II) Glamo(0): Not using default mode "400x300" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "800x600" (width too large for virtual size)
(II) Glamo(0): Not using default mode "400x300" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1024x768" (interlace mode not supported)
(II) Glamo(0): Not using default mode "512x384" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1024x768" (height too large for virtual size)
(II) Glamo(0): Not using default mode "512x384" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1024x768" (height too large for virtual size)
(II) Glamo(0): Not using default mode "512x384" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1024x768" (height too large for virtual size)
(II) Glamo(0): Not using default mode "512x384" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1024x768" (height too large for virtual size)
(II) Glamo(0): Not using default mode "512x384" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1152x864" (height too large for virtual size)
(II) Glamo(0): Not using default mode "576x432" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1280x960" (height too large for virtual size)
(II) Glamo(0): Not using default mode "640x480" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1280x960" (height too large for virtual size)
(II) Glamo(0): Not using default mode "640x480" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1280x1024" (height too large for virtual size)
(II) Glamo(0): Not using default mode "640x512" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1280x1024" (height too large for virtual size)
(II) Glamo(0): Not using default mode "640x512" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1280x1024" (height too large for virtual size)
(II) Glamo(0): Not using default mode "640x512" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) Glamo(0): Not using default mode "800x600" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) Glamo(0): Not using default mode "800x600" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) Glamo(0): Not using default mode "800x600" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) Glamo(0): Not using default mode "800x600" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1600x1200" (height too large for virtual size)
(II) Glamo(0): Not using default mode "800x600" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1792x1344" (height too large for virtual size)
(II) Glamo(0): Not using default mode "896x672" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1792x1344" (height too large for virtual size)
(II) Glamo(0): Not using default mode "896x672" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1856x1392" (height too large for virtual size)
(II) Glamo(0): Not using default mode "928x696" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1856x1392" (height too large for virtual size)
(II) Glamo(0): Not using default mode "928x696" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) Glamo(0): Not using default mode "960x720" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) Glamo(0): Not using default mode "960x720" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "832x624" (width too large for virtual size)
(II) Glamo(0): Not using default mode "416x312" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1152x864" (height too large for virtual size)
(II) Glamo(0): Not using default mode "576x432" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1152x864" (height too large for virtual size)
(II) Glamo(0): Not using default mode "576x432" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1152x864" (height too large for virtual size)
(II) Glamo(0): Not using default mode "576x432" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1152x864" (height too large for virtual size)
(II) Glamo(0): Not using default mode "576x432" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1152x864" (height too large for virtual size)
(II) Glamo(0): Not using default mode "576x432" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1152x864" (height too large for virtual size)
(II) Glamo(0): Not using default mode "576x432" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1360x768" (height too large for virtual size)
(II) Glamo(0): Not using default mode "680x384" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1360x768" (height too large for virtual size)
(II) Glamo(0): Not using default mode "680x384" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) Glamo(0): Not using default mode "700x525" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) Glamo(0): Not using default mode "700x525" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) Glamo(0): Not using default mode "700x525" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1400x1050" (height too large for virtual size)
(II) Glamo(0): Not using default mode "700x525" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1440x900" (height too large for virtual size)
(II) Glamo(0): Not using default mode "720x450" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1600x1024" (height too large for virtual size)
(II) Glamo(0): Not using default mode "800x512" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) Glamo(0): Not using default mode "840x525" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) Glamo(0): Not using default mode "840x525" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) Glamo(0): Not using default mode "840x525" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) Glamo(0): Not using default mode "840x525" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1680x1050" (height too large for virtual size)
(II) Glamo(0): Not using default mode "840x525" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1920x1080" (height too large for virtual size)
(II) Glamo(0): Not using default mode "960x540" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1920x1200" (height too large for virtual size)
(II) Glamo(0): Not using default mode "960x600" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "1920x1440" (height too large for virtual size)
(II) Glamo(0): Not using default mode "960x720" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) Glamo(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) Glamo(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) Glamo(0): Not using default mode "2048x1536" (height too large for virtual size)
(II) Glamo(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) Glamo(0): Printing probed modes for output LCD
(II) Glamo(0): Modeline "480x640"x72.5   24.50  480 496 504 512  640 656 658 660 (47.9 kHz)
(II) Glamo(0): Modeline "240x320"x50.2   24.50  240 736 738 740  320 656 658 660 (33.1 kHz)
(II) Glamo(0): Output LCD connected
(II) Glamo(0): Using exact sizes for initial modes
(II) Glamo(0): Output LCD using initial mode 480x640
(II) Glamo(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(II) Glamo(0): hardware: SMedia Glamo (video memory: 4096kB)
(--) Glamo(0): Virtual size is 480x640 (pitch 480)
(**) Glamo(0):  Driver mode "480x640": 24.5 MHz (scaled from 0.0 MHz), 47.9 kHz, 72.5 Hz
(II) Glamo(0): Modeline "480x640"x72.5   24.50  480 496 504 512  640 656 658 660 (47.9 kHz)
(**) Glamo(0):  Driver mode "240x320": 24.5 MHz (scaled from 0.0 MHz), 33.1 kHz, 50.2 Hz
(II) Glamo(0): Modeline "240x320"x50.2   24.50  240 736 738 740  320 656 658 660 (33.1 kHz)
(==) Glamo(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 1.0.0
        ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "exa"
(II) LoadModule: "exa"
(II) Loading /usr/lib/xorg/modules/libexa.so
(II) Module exa: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 2.5.0
        ABI class: X.Org Video Driver, version 6.0
(WW) Glamo(0): EXA hardware acceleration initialising
(II) EXA(0): Offscreen pixmap area of 3317760 bytes
(II) EXA(0): Driver registered support for the following operations:
(II)         Solid
(II)         Copy
(II)         Composite (RENDER acceleration)
(II)         UploadToScreen
(II)         DownloadFromScreen
Initialized EXA acceleration
(==) Glamo(0): Backing store disabled
(II) Glamo(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(==) Glamo(0): DPMS enabled
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(EE) AIGLX error: dlopen of /usr/lib/dri/swrast_dri.so failed (/usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
(EE) GLX: could not load software renderer
(II) GLX: no usable GL providers found for screen 0
(II) Glamo(0): Setting screen physical size to 127 x 169
(II) config/udev: Adding input device Neo1973 Buttons (/dev/input/event4)
(II) No input driver/identifier specified (ignoring)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device PCF50633 PMU events (/dev/input/event0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device s3c2410 TouchScreen (/dev/input/event1)
(II) LoadModule: "tslib"
(II) Loading /usr/lib/xorg/modules/input/tslib_drv.so
(II) Module tslib: vendor="X.Org Foundation"
        compiled for 1.7.4, module version = 0.0.1
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 7.0
(**) s3c2410 TouchScreen: always reports core events
(II) XINPUT: Adding extended input device "s3c2410 TouchScreen" (type: TOUCHSCREEN)
xf86TslibControlProc
xf86TslibControlProc
(II) config/udev: Adding input device lis302-1 (top) (/dev/input/event2)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device lis302-2 (bottom) (/dev/input/event3)
(II) No input driver/identifier specified (ignoring)

udev information:
P: /devices/virtual/input/input0/event0
N: input/event0
S: char/13:64
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: SUBSYSTEM=input
E: DEVNAME=/dev/input/event0
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:64

P: /devices/virtual/input/input1/event1
N: input/event1
S: char/13:65
S: input/touchscreen0
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: SUBSYSTEM=input
E: DEVNAME=/dev/input/event1
E: ID_INPUT=1
E: ID_INPUT_TOUCHSCREEN=1
E: x11_driver=tslib
E: DEVLINKS=/dev/char/13:65 /dev/input/touchscreen0

P: /devices/virtual/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: SUBSYSTEM=input
E: DEVNAME=/dev/input/event2
E: ID_INPUT=1
E: DEVLINKS=/dev/char/13:66

P: /devices/virtual/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: SUBSYSTEM=input
E: DEVNAME=/dev/input/event3
E: ID_INPUT=1
E: DEVLINKS=/dev/char/13:67

P: /devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/neo1973-button.0/input/input4/event4
N: input/event4
S: char/13:68
S: input/by-path/platform-s3c2440-i2c-platform-neo1973-button.0-event
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/s3c2440-i2c/i2c-adapter/i2c-0/0-0073/neo1973-button.0/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: SUBSYSTEM=input
E: DEVNAME=/dev/input/event4
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=platform-s3c2440-i2c-platform-neo1973-button.0
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:68 /dev/input/by-path/platform-s3c2440-i2c-platform-neo1973-button.0-event

DRM Information from dmesg:


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.29-20100118.gita15608f2
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-input-evdev depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  xserver-xorg-core             2:1.7.6-2  Xorg X server - core server

xserver-xorg-input-evdev recommends no packages.

xserver-xorg-input-evdev suggests no packages.

-- no debconf information
-- 
Roland Mas

- Ogenki desuka, yau de poêle ?
- Genki desu, ture en zinc.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#578053; Package xserver-xorg-input-evdev. (Sat, 17 Apr 2010 01:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 17 Apr 2010 01:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 578053@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Roland Mas <lolando@debian.org>, 578053@bugs.debian.org
Subject: Re: Bug#578053: xserver-xorg-input-evdev: x/y axes inverted on touchscreen
Date: Sat, 17 Apr 2010 03:22:33 +0200
[Message part 1 (text/plain, inline)]
Just for the record:

Roland Mas <lolando@debian.org> (16/04/2010):
> Package: xserver-xorg-input-evdev
> Version: 1:2.3.2-5
> Severity: important

That'd rather be -tslib's not being updated WRT latest xserver
changes. Things are still being shuffled every other day, so let's
hope they settle quickly so that we can push most drivers at the same
time with “final” changes.

Thanks for isolating the cause of the issue in your report.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#578053; Package xserver-xorg-input-evdev. (Sat, 17 Apr 2010 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 17 Apr 2010 14:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 578053@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Roland Mas <lolando@debian.org>, 578053@bugs.debian.org, xserver-xorg-input-tslib@packages.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#578053: xserver-xorg-input-evdev: x/y axes inverted on touchscreen
Date: Sat, 17 Apr 2010 16:01:06 +0200
[Message part 1 (text/plain, inline)]
reassign 578053 xserver-xorg-input-tslib 0.0.6-3
retitle 578053 tslib: please move from udev rule to xorg.conf.d snippet
tag 578053 patch
kthxbye

On Fri, Apr 16, 2010 at 14:12:04 +0200, Roland Mas wrote:

> Package: xserver-xorg-input-evdev
> Version: 1:2.3.2-5
> Severity: important
> 
> Starting with 1:2.3.2-5, the input events coming from the touchscreen of my
> Neo Freerunner phone seem to have their x and y coordinates switched.  For
> instance, dragging a map horizontally in TangoGPS actually makes the map scroll
> vertically; the icons on the desktop, and all applications requiring a pointer,
> become unusable.
> 
xf86-input-tslib needs to use xorg.conf.d instead of an udev rule.

tslib maintainers, please pull from:
git://git.debian.org/~jcristau/xf86-input-tslib master
and upload once xorg-server 2:1.7.6.901-1 hits sid.

Let me know if you need explanations for any of the changes.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'xserver-xorg-input-evdev' to 'xserver-xorg-input-tslib'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 14:03:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xserver-xorg-input-evdev/1:2.3.2-5. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 14:03:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xf86-input-tslib/0.0.6-3. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 14:03:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'tslib: please move from udev rule to xorg.conf.d snippet' from 'xserver-xorg-input-evdev: x/y axes inverted on touchscreen' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 14:03:09 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 14:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#578053; Package xserver-xorg-input-tslib. (Sat, 17 Apr 2010 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Sat, 17 Apr 2010 14:18:03 GMT) Full text and rfc822 format available.

Message #30 received at 578053@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 578053@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#578053: xserver-xorg-input-evdev: x/y axes inverted on touchscreen
Date: Sat, 17 Apr 2010 15:15:15 +0100
[Message part 1 (text/plain, inline)]
retitle 578053 xserver-xorg-input-tslib: consider xorg.conf.d instead of udev rule
tag 578053 - patch
thanks

(nothing to do with tslib, only the Xorg driver which is a different
source package.)

> tag 578053 patch

Please include the patch into the bug report.

> > Starting with 1:2.3.2-5, the input events coming from the touchscreen of my
> > Neo Freerunner phone seem to have their x and y coordinates switched.  For
> > instance, dragging a map horizontally in TangoGPS actually makes the map scroll
> > vertically; the icons on the desktop, and all applications requiring a pointer,
> > become unusable.
> > 
> xf86-input-tslib needs to use xorg.conf.d instead of an udev rule.
> 
> tslib maintainers, please pull from:

xserver-xorg-input-tslib maintainers ....

> git://git.debian.org/~jcristau/xf86-input-tslib master
> and upload once xorg-server 2:1.7.6.901-1 hits sid.
> 
> Let me know if you need explanations for any of the changes.

A look at the patch would have been useful, thanks.

When was Xorg changed to deprecate udev support in favour of local
config? Was this change notified somewhere? Has upstream been involved?

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'xserver-xorg-input-tslib: consider xorg.conf.d instead of udev rule' from 'tslib: please move from udev rule to xorg.conf.d snippet' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 14:18:05 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 14:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#578053; Package xserver-xorg-input-tslib. (Sat, 17 Apr 2010 14:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Sat, 17 Apr 2010 14:21:06 GMT) Full text and rfc822 format available.

Message #39 received at 578053@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: 578053@bugs.debian.org
Subject: Re: Bug#578053: xserver-xorg-input-evdev: x/y axes inverted on touchscreen
Date: Sat, 17 Apr 2010 16:19:19 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 17, 2010 at 15:15:15 +0100, Neil Williams wrote:

> When was Xorg changed to deprecate udev support in favour of local
> config? Was this change notified somewhere? Has upstream been involved?
> 
The udev backend was added upstream for xserver 1.8, and debian carried
an earlier version of it on our 1.7.x packages.  We're now updating our
patch to what's upstream, and dropping support for configuration through
udev rules is part of that.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#578053; Package xserver-xorg-input-tslib. (Sat, 17 Apr 2010 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Sat, 17 Apr 2010 14:33:05 GMT) Full text and rfc822 format available.

Message #44 received at 578053@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: 578053@bugs.debian.org
Subject: Re: Bug#578053: xserver-xorg-input-evdev: x/y axes inverted on touchscreen
Date: Sat, 17 Apr 2010 16:30:21 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 17, 2010 at 15:15:15 +0100, Neil Williams wrote:

> Please include the patch into the bug report.
> 
diff follows.  The substvar change and xsfbs update are
not strictly necessary, the important part is installing a config
snippet to /usr/share/X11/xorg.conf.d instead of udev rules, and
build-depending on newer xserver to make that work.

It's possible you'll want to add MatchDevicePath "/dev/input/event*" to
the inputclass section to match what your udev rule was doing.

See e.g.
http://cgit.freedesktop.org/xorg/driver/xf86-input-synaptics/commit/?id=87b29e6004a9a7f744eb6e9c2bf9539579ecefbf
for the matching change in the xf86-input-synaptics driver.

Cheers,
Julien

diff --git a/debian/10-x11-input-tslib.fdi b/debian/10-x11-input-tslib.fdi
deleted file mode 100644
index 3559d0c..0000000
--- a/debian/10-x11-input-tslib.fdi
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<deviceinfo version="0.2">
-  <device>
-    <match key="info.capabilities" contains="input.touchpad">
-      <merge key="input.x11_driver" type="string">tslib</merge>
-    </match>
-  </device>
-</deviceinfo>
diff --git a/debian/50-tslib.conf b/debian/50-tslib.conf
new file mode 100644
index 0000000..7756ea3
--- /dev/null
+++ b/debian/50-tslib.conf
@@ -0,0 +1,5 @@
+Section "InputClass"
+	Identifier "tslib touchscreen"
+	Driver "tslib"
+	MatchIsTouchscreen "on"
+EndSection
diff --git a/debian/66-xorg-tslib.rules b/debian/66-xorg-tslib.rules
deleted file mode 100644
index 2ba55ae..0000000
--- a/debian/66-xorg-tslib.rules
+++ /dev/null
@@ -1,6 +0,0 @@
-ACTION!="add|change", GOTO="xorg_tslib_end"
-KERNEL!="event*", GOTO="xorg_tslib_end"
-
-ENV{ID_INPUT_TOUCHSCREEN}=="?*", ENV{x11_driver}="tslib"
-
-LABEL="xorg_tslib_end"
diff --git a/debian/changelog b/debian/changelog
index ef0f30f..b7b3672 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+xf86-input-tslib (0.0.6-4) UNRELEASED; urgency=low
+
+  * Replace hal fdi and udev rules with xorg.conf.d snippet.  Build-Depend on
+    xserver-xorg-dev 1.7.6.901 to make that work.
+  * Use new xsfbs and ${xinpdriver:Depends} substvar.
+
+ -- Julien Cristau <jcristau@debian.org>  Sat, 17 Apr 2010 15:36:34 +0200
+
 xf86-input-tslib (0.0.6-3) unstable; urgency=low
 
   [ Hector Oron ]
diff --git a/debian/control b/debian/control
index 993c98b..2d5d1df 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Priority: optional
 Maintainer: Debian Embedded <debian-embedded@lists.debian.org>
 Uploaders: Hector Oron <zumbi@debian.org>, Neil Williams <codehelp@debian.org>, Jonas Smedegaard <js@debian.org>
 Build-Depends: debhelper (>= 5),
-               xserver-xorg-dev (>= 2:1.4),
+               xserver-xorg-dev (>= 2:1.7.6.901),
                pkg-config, quilt,
                libts-dev (>= 1.0-4)
 Standards-Version: 3.8.3
@@ -14,7 +14,7 @@ Vcs-Browser: http://git.debian.org/?p=collab-maint/xf86-input-tslib.git;a=summar
 
 Package: xserver-xorg-input-tslib
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${xserver:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${xinpdriver:Depends}
 Recommends: hal
 Provides: xf86-input-tslib, ${xinpdriver:Provides}
 Replaces: xf86-input-tslib
diff --git a/debian/install b/debian/install
index 2e6ad90..f8f650c 100644
--- a/debian/install
+++ b/debian/install
@@ -1,2 +1 @@
-debian/10-x11-input-tslib.fdi usr/share/hal/fdi/policy/20thirdparty
-debian/66-xorg-tslib.rules lib/udev/rules.d
+debian/50-tslib.conf usr/share/X11/xorg.conf.d/
diff --git a/debian/xsfbs/repack.sh b/debian/xsfbs/repack.sh
old mode 100644
new mode 100755
diff --git a/debian/xsfbs/xsfbs.mk b/debian/xsfbs/xsfbs.mk
index 5e16b10..77c4a39 100644
--- a/debian/xsfbs/xsfbs.mk
+++ b/debian/xsfbs/xsfbs.mk
@@ -110,14 +110,15 @@ $(STAMP_DIR)/stampdir:
 .PHONY: prepare
 stampdir_targets+=prepare
 prepare: $(STAMP_DIR)/prepare
-$(STAMP_DIR)/prepare: $(STAMP_DIR)/log $(STAMP_DIR)/genscripts
+$(STAMP_DIR)/prepare: $(STAMP_DIR)/logdir $(STAMP_DIR)/genscripts
 	>$@
 
-.PHONY: log
-stampdir_targets+=log
-log: $(STAMP_DIR)/log
-$(STAMP_DIR)/log: $(STAMP_DIR)/stampdir
+.PHONY: logdir
+stampdir_targets+=logdir
+logdir: $(STAMP_DIR)/logdir
+$(STAMP_DIR)/logdir: $(STAMP_DIR)/stampdir
 	mkdir -p $(STAMP_DIR)/log
+	>$@
 
 # Apply all patches to the upstream source.
 .PHONY: patch
@@ -145,7 +146,7 @@ $(STAMP_DIR)/patch: $(STAMP_DIR)/prepare
 
 # Revert all patches to the upstream source.
 .PHONY: unpatch
-unpatch: $(STAMP_DIR)/log
+unpatch: $(STAMP_DIR)/logdir
 	rm -f $(STAMP_DIR)/patch
 	@echo -n "Unapplying patches..."; \
 	if $(QUILT) applied >/dev/null 2>/dev/null; then \
@@ -252,25 +253,33 @@ $(STAMP_DIR)/genscripts: $(STAMP_DIR)/stampdir
 	#                                    debian/*.prerm
 	>$@
 
-SERVERMINVERS = $(shell cat /usr/share/xserver-xorg/serverminver 2>/dev/null)
+# Compute dependencies for drivers
+#
+VIDEODEP = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)
+INPUTDEP = $(shell cat /usr/share/xserver-xorg/xinputdep 2>/dev/null)
+
+# these two can be removed post-squeeze
 VIDEOABI = $(shell cat /usr/share/xserver-xorg/videoabiver 2>/dev/null)
 INPUTABI = $(shell cat /usr/share/xserver-xorg/inputabiver 2>/dev/null)
-SERVER_DEPENDS = xserver-xorg-core (>= $(SERVERMINVERS))
 VIDDRIVER_PROVIDES = xserver-xorg-video-$(VIDEOABI)
 INPDRIVER_PROVIDES = xserver-xorg-input-$(INPUTABI)
+
 ifeq ($(PACKAGE),)
 PACKAGE=$(shell awk '/^Package:/ { print $$2; exit }' < debian/control)
 endif
 
 .PHONY: serverabi
 serverabi: install
-ifeq ($(SERVERMINVERS),)
-	@echo error: xserver-xorg-dev needs to be installed
+ifeq ($(VIDEODEP),)
+	@echo 'error: xserver-xorg-dev >= 1.7.6.901 needs to be installed'
 	@exit 1
 else
-	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(PACKAGE).substvars
+	echo "xviddriver:Depends=$(VIDEODEP)" >> debian/$(PACKAGE).substvars
+	echo "xinpdriver:Depends=$(INPUTDEP)" >> debian/$(PACKAGE).substvars
+	# the following is there for compatibility...
 	echo "xviddriver:Provides=$(VIDDRIVER_PROVIDES)" >> debian/$(PACKAGE).substvars
 	echo "xinpdriver:Provides=$(INPDRIVER_PROVIDES)" >> debian/$(PACKAGE).substvars
+	echo "xserver:Depends=$(VIDEODEP), $(INPUTDEP)" >> debian/$(PACKAGE).substvars
 endif
 
 # vim:set noet ai sts=8 sw=8 tw=0:
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 18 Apr 2010 15:15:03 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Sun, 18 Apr 2010 16:18:16 GMT) Full text and rfc822 format available.

Notification sent to Roland Mas <lolando@debian.org>:
Bug acknowledged by developer. (Sun, 18 Apr 2010 16:18:16 GMT) Full text and rfc822 format available.

Message #51 received at 578053-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 578053-close@bugs.debian.org
Subject: Bug#578053: fixed in xf86-input-tslib 0.0.6-4
Date: Sun, 18 Apr 2010 16:14:16 +0000
Source: xf86-input-tslib
Source-Version: 0.0.6-4

We believe that the bug you reported is fixed in the latest version of
xf86-input-tslib, which is due to be installed in the Debian FTP archive:

xf86-input-tslib_0.0.6-4.debian.tar.gz
  to main/x/xf86-input-tslib/xf86-input-tslib_0.0.6-4.debian.tar.gz
xf86-input-tslib_0.0.6-4.dsc
  to main/x/xf86-input-tslib/xf86-input-tslib_0.0.6-4.dsc
xf86-input-tslib_0.0.6.orig.tar.gz
  to main/x/xf86-input-tslib/xf86-input-tslib_0.0.6.orig.tar.gz
xserver-xorg-input-tslib_0.0.6-4_amd64.deb
  to main/x/xf86-input-tslib/xserver-xorg-input-tslib_0.0.6-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578053@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated xf86-input-tslib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 17 Apr 2010 20:24:31 +0200
Source: xf86-input-tslib
Binary: xserver-xorg-input-tslib
Architecture: source amd64
Version: 0.0.6-4
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded <debian-embedded@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 xserver-xorg-input-tslib - tslib touchscreen driver for X.Org/XFree86 server
Closes: 578053
Changes: 
 xf86-input-tslib (0.0.6-4) unstable; urgency=low
 .
   [ Hector Oron ]
   * Fix "consider xorg.conf.d instead of udev rule" (Closes: #578053)
     Thanks Julien Cristau
     - Replace hal fdi and udev rules with xorg.conf.d snippet.  Build-Depend on
     xserver-xorg-dev 1.7.6.901 to make that work.
     - Use new xsfbs and ${xinpdriver:Depends} substvar.
   * Bump version standars to 3.8.4
   * Add debian/watch again
   * Fix Vcs to final Git location under collab-maint
Checksums-Sha1: 
 ed6192141c028aec459060cb4a97aea60774ce7f 2078 xf86-input-tslib_0.0.6-4.dsc
 4bec02d05932afbef6cdfb56dd4367320046e8b3 328911 xf86-input-tslib_0.0.6.orig.tar.gz
 ee966eab961893cdcb25c7b9a7cff37abb96b124 15679 xf86-input-tslib_0.0.6-4.debian.tar.gz
 f14763b844061a84d75d05c7fec5b1ba93dbe982 11970 xserver-xorg-input-tslib_0.0.6-4_amd64.deb
Checksums-Sha256: 
 99add97c6961c12951b538dab0f45ddf553fec70f5d00871e681481ef3b4960d 2078 xf86-input-tslib_0.0.6-4.dsc
 369b3601b7d491613b9cb3554637cef30d3bc357bdceb6cef0aa02beee248845 328911 xf86-input-tslib_0.0.6.orig.tar.gz
 6819d73b48fa14cecf9ba6a2bf2cbaa5e98b2f3b1bec57ccd750a7f3b3ad68d3 15679 xf86-input-tslib_0.0.6-4.debian.tar.gz
 f184b97ca8b191ab8fba83563245bfd43e42fe97de56ed499deeb96124497de7 11970 xserver-xorg-input-tslib_0.0.6-4_amd64.deb
Files: 
 cf44b158f5a930416759bd69977844b9 2078 x11 optional xf86-input-tslib_0.0.6-4.dsc
 c7d2025b958323bc59717187b894bb02 328911 x11 optional xf86-input-tslib_0.0.6.orig.tar.gz
 bbde84bbbe2221595292bb2f80de29fd 15679 x11 optional xf86-input-tslib_0.0.6-4.debian.tar.gz
 db0656b09be167532d85bc889fca53f7 11970 x11 optional xserver-xorg-input-tslib_0.0.6-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJLyxvLAAoJEK8ig6p24qx7f4wQAKA1i4v7CA48BgG/ZJx0sBGO
ykWuh1J6A5c4krH2A/h1en+amoeuHdnLHao4/NKh86f51mq72yr1dBjb5gFPjrYj
//c1pKGn8whGjS6+k2Tez+Z1t9uZXGwkX3mxSFOnKkDKQkUuVXpHEfAF57cxHyCf
CvH84wZKI3NvBjGe0dlT3jUlnig1glAMjYuBErr6xZXR+Wirgw4yAiTj9Cf0fZa2
0DxZ+VaGkEVbZgVTy503lcIN1hIQoRb1S7t5zCrBCUUR8KbD1qnp3QVxfdY4LdTW
Da5uoGgioLY4S4q2t5zFngfw1V/rDmsL4SjAgco+ubmnmKTKNqMRI82YlsiZUzOM
jKM5TEMAaCvHRQJ8vpfFWu0ccbz24E68NNfLvYJ48tUlIO1KC/ZoumtvuTsZPYNL
YK8AUuNiX+zZrLHkdlB183ZdWNyj9D3mc5HNkOo6X8KpRb+PU99ibA2ZbEP2jDet
0KLkSDndvnfP7GBSlv3Fgm9maJkXf747kN2KR9CEKItAMznhRKyjlVDFozuVWwBA
W+LTa76tlwuic9fPKSZ1Cr3CfAxMGw0OrvWDwSE2AgIqjeVGMf3c4st5vUesvqhu
i+BLSmBzEEUbWbJp+zqpMRO6dGZ4r4BKXf3DIKWTle+lFlhfyEjiHTQj9iuWtHFt
mQbgveZVDmMAn7Regsnv
=8F82
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 May 2010 07:34:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:03:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.